API Reference

API Keys

Issue and revoke integration API keys.

3 endpoints· Auth: API Key
get/api/v1/store/integrations/api-keys API Key

Get api-keys

Query parameters

page
integer (int32)
per_page
integer (int32)

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/api-keys" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/api-keys API Key

Create api-keys

Request body

application/json
{
  "name": "string",
  "scopes": [
    "string"
  ]
}
name
string
scopes
string[]

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/api-keys" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "scopes": [
    "string"
  ]
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/api-keys/{apiKeyId}/revoke API Key

Create revoke

Path parameters

apiKeyIdrequired
string (uuid)

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/api-keys/{apiKeyId}/revoke" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu